Package: org.grails.plugins.databinding

## [Groovy] Class DataBindingGrailsPlugin

- org.grails.plugins.databinding.DataBindingGrailsPlugin

- Plugin for configuring the data binding features of Grails

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `AUTO_GROW_COLLECTION_LIMIT` |
    `static java.lang.String` | `CONVERT_EMPTY_STRINGS_TO_NULL` |
    `static java.lang.String` | `DATE_FORMATS` |
    `static java.lang.String` | `DATE_LENIENT_PARSING` |
    `static java.util.List<java.lang.String>` | `DEFAULT_DATE_FORMATS` |
    `static java.lang.String` | `TRIM_STRINGS` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `version`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String AUTO_GROW_COLLECTION_LIMIT

    - #### public static final java.lang.String CONVERT_EMPTY_STRINGS_TO_NULL

    - #### public static final java.lang.String DATE_FORMATS

    - #### public static final java.lang.String DATE_LENIENT_PARSING

    - #### public static final java.util.List<java.lang.String> DEFAULT_DATE_FORMATS

    - #### public static final java.lang.String TRIM_STRINGS

  - ### Property Detail

    - #### java.lang.Object version

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()